# Labtest Result List

| **API URL**     | {{url}}/spice-service/patient-labtest/result/list/2 |
| --------------- | --------------------------------------------------- |
| **Method**      | GET                                                 |
| **Description** | Labtest Result list                                 |

#### **Input:** <a href="#labtestresultlist-input" id="labtestresultlist-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

**Sample Input:**

{{{url}}/spice-service/patient-labtest/result/list/2}

#### **Output:** <a href="#labtestresultlist-output" id="labtestresultlist-output"></a>

| **Field Name** | **Type** | **Comments**               |
| -------------- | -------- | -------------------------- |
| `labTestId`    | Integer  | Labtest ID                 |
| `name`         | String   | Labtest name               |
| `id`           | Integer  | Lab test range ID          |
| `minimumValue` | Integer  | Minimum Labtest name       |
| `maximumValue` | Integer  | Maximum Labtest name       |
| `unit`         | String   | Labtest range unit         |
| `unitId`       | Integer  | Labtest range unit ID      |
| `displayName`  | String   | Labtest range display name |

#### **Sample Output:** <a href="#labtestresultlist-sampleoutput" id="labtestresultlist-sampleoutput"></a>

```
  {
    "message": "Patient LabTest Result fetched Successfully.",
    "entity": null,
    "status": true,
    "entityList": [
        {
            "id": 1,
            "name": "Fast plasma",
            "labTestId": 2,
            "labTestResultRanges": [
                {
                    "id": 5,
                    "labTestId": 2,
                    "minimumValue": 0.0,
                    "maximumValue": 7.0,
                    "unit": "mg/dL",
                    "unitId": 1,
                    "displayOrder": 1,
                    "displayName": "0-7 mg/dL"
                }
            ],
            "displayOrder": 0,
            "tenantId": 1
        }
    ],
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/versions/spice-1.0/engineering/api-documentation/spice-services/labtest-result-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
